=== added file 'video/setmode.c'
--- video/setmode.c	1970-01-01 00:00:00 +0000
+++ video/setmode.c	2008-07-19 19:31:46 +0000
@@ -0,0 +1,249 @@
+/* video/setmode.c - Smart video mode selection based on preferences. */
+/*
+ *  GRUB  --  GRand Unified Bootloader
+ *  Copyright (C) 2006,2007,2008  Free Software Foundation, Inc.
+ *
+ *  GRUB is free software: you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation, either version 3 of the License, or
+ *  (at your option) any later version.
+ *
+ *  GRUB is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with GRUB.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#include <grub/video.h>
+#include <grub/types.h>
+#include <grub/mm.h>
+#include <grub/misc.h>
+
+/* Set the video mode based on the preferred modes specified in MODE_LIST in
+   the form: <width>x<height>[x<depth>][;...]
+
+   For example:  640x480;800x600x8;400x300x32
+
+   If MODE_LIST is null, or no modes in it are usable, then DEFAULT_WIDTH and
+   DEFAULT_HEIGHT are used to set the mode.  The MODE_FLAGS argument determines
+   the video mode flags such as double buffering that are used.  */
+
+grub_err_t
+grub_video_setup_preferred_mode (const char *mode_list, int mode_flags,
+                                 int default_width, int default_height)
+{
+  int mode_found = 0;
+
+  if (mode_list != NULL)
+    {
+      /* Take copy of mode_list as we don't want tat.  */
+      char *const modes_copy = grub_strdup (mode_list);
+      if (modes_copy == NULL)
+        return grub_errno;
+
+      /* Initialize next mode.  */
+      char *next_mode = modes_copy;
+
+      /* Loop until all modes has been tested out.  */
+      while ((next_mode != NULL) && !mode_found)
+        {
+          /* Use last next_mode as current mode.  */
+          char *tmp = next_mode;
+
+          int width = -1;
+          int height = -1;
+          int depth = -1;
+
+          /* Save position of next mode and separate modes.  */
+          next_mode = grub_strchr(next_mode, ';');
+          if (next_mode)
+            {
+              *next_mode = 0;
+              next_mode++;
+            }
+
+          /* Skip whitespace.  */
+          while (grub_isspace (*tmp))
+            tmp++;
+
+          /* Initialize token holders.  */
+          char *current_mode = tmp;
+          char *param = tmp;
+          char *value = NULL;
+
+          /* Parse <width>x<height>[x<depth>]*/
+
+          /* Find width value.  */
+          value = param;
+          param = grub_strchr(param, 'x');
+          if (param == NULL)
+            {
+              grub_err_t rc;
+
+              /* First setup error message.  */
+              rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                               "Invalid mode: %s\n",
+                               current_mode);
+
+              /* Free memory before returning.  */
+              grub_free (modes_copy);
+
+              return rc;
+            }
+
+          *param = 0;
+          param++;
+
+          width = grub_strtoul (value, 0, 0);
+          if (grub_errno != GRUB_ERR_NONE)
+            {
+              grub_err_t rc;
+
+              /* First setup error message.  */
+              rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                               "Invalid mode: %s\n",
+                               current_mode);
+
+              /* Free memory before returning.  */
+              grub_free (modes_copy);
+
+              return rc;
+            }
+
+          /* Find height value.  */
+          value = param;
+          param = grub_strchr(param, 'x');
+          if (param == NULL)
+            {
+              height = grub_strtoul (value, 0, 0);
+              if (grub_errno != GRUB_ERR_NONE)
+                {
+                  grub_err_t rc;
+
+                  /* First setup error message.  */
+                  rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                                   "Invalid mode: %s\n",
+                                   current_mode);
+
+                  /* Free memory before returning.  */
+                  grub_free (modes_copy);
+
+                  return rc;
+                }
+            }
+          else
+            {
+              /* We have optional color depth value.  */
+              *param = 0;
+              param++;
+
+              height = grub_strtoul (value, 0, 0);
+              if (grub_errno != GRUB_ERR_NONE)
+                {
+                  grub_err_t rc;
+
+                  /* First setup error message.  */
+                  rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                                   "Invalid mode: %s\n",
+                                   current_mode);
+
+                  /* Free memory before returning.  */
+                  grub_free (modes_copy);
+
+                  return rc;
+                }
+
+              /* Convert color depth value.  */
+              value = param;
+              depth = grub_strtoul (value, 0, 0);
+              if (grub_errno != GRUB_ERR_NONE)
+                {
+                  grub_err_t rc;
+
+                  /* First setup error message.  */
+                  rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                                   "Invalid mode: %s\n",
+                                   current_mode);
+
+                  /* Free memory before returning.  */
+                  grub_free (modes_copy);
+
+                  return rc;
+                }
+            }
+
+          /* Try out video mode.  */
+
+          int flags = mode_flags;
+          /* If we have <= 8 bits, assume it is an indexed color mode.  */
+          if ((depth <= 8) && (depth != -1))
+            flags |= GRUB_VIDEO_MODE_TYPE_INDEX_COLOR;
+
+          /* We have > 8 bits; assume that it is RGB color mode.  */
+          if (depth > 8)
+            flags |= GRUB_VIDEO_MODE_TYPE_RGB;
+
+          /* If user requested specific depth, pass the request to driver.  */
+          if (depth != -1)
+            flags |= (depth << GRUB_VIDEO_MODE_TYPE_DEPTH_POS)
+              & GRUB_VIDEO_MODE_TYPE_DEPTH_MASK;
+
+          /* Try to initialize requested mode.  Ignore any errors.  */
+          grub_error_push ();
+          if (grub_video_setup (width, height, flags) != GRUB_ERR_NONE)
+            {
+              grub_error_pop ();
+              continue;
+            }
+
+          /* Figure out what mode we ended up.  */
+          struct grub_video_mode_info mode_info;
+          if (grub_video_get_info (&mode_info) != GRUB_ERR_NONE)
+            {
+              /* Couldn't get video mode info, restore old mode
+                 and continue to next one.  */
+              grub_error_pop ();
+
+              grub_video_restore ();
+              continue;
+            }
+
+          /* Restore state of error stack.  */
+          grub_error_pop ();
+
+          /* Mode found!  Exit loop.  */
+          mode_found = 1;
+        }
+
+      /* Free memory.  */
+      grub_free (modes_copy);
+    }
+
+  if (!mode_found)
+    {
+      /* No gfxmode variable set, or no listed mode was supported.
+         Use the caller-specified defaults.  */
+      int flags = mode_flags | GRUB_VIDEO_MODE_TYPE_RGB;
+
+      /* Initialize user requested mode.  */
+      if (grub_video_setup (default_width, default_height, flags) 
+          != GRUB_ERR_NONE)
+        return grub_errno;
+
+      /* Figure out what mode we ended up.  */
+      struct grub_video_mode_info mode_info;
+      if (grub_video_get_info (&mode_info) != GRUB_ERR_NONE)
+        grub_video_restore ();
+      else
+        mode_found = 1;
+    }
+
+  if (!mode_found)
+    return grub_error (GRUB_ERR_BAD_ARGUMENT,
+                       "No suitable mode found.");
+
+  return (grub_errno = GRUB_ERR_NONE);
+}

# Begin bundle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